=== added file 'video/setmode.c'
--- video/setmode.c	1970-01-01 00:00:00 +0000
+++ video/setmode.c	2008-07-19 19:31:46 +0000
@@ -0,0 +1,249 @@
+/* video/setmode.c - Smart video mode selection based on preferences. */
+/*
+ *  GRUB  --  GRand Unified Bootloader
+ *  Copyright (C) 2006,2007,2008  Free Software Foundation, Inc.
+ *
+ *  GRUB is free software: you can redistribute it and/or modify
+ *  it under the terms of the GNU General Public License as published by
+ *  the Free Software Foundation, either version 3 of the License, or
+ *  (at your option) any later version.
+ *
+ *  GRUB is distributed in the hope that it will be useful,
+ *  but WITHOUT ANY WARRANTY; without even the implied warranty of
+ *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ *  GNU General Public License for more details.
+ *
+ *  You should have received a copy of the GNU General Public License
+ *  along with GRUB.  If not, see <http://www.gnu.org/licenses/>.
+ */
+
+#include <grub/video.h>
+#include <grub/types.h>
+#include <grub/mm.h>
+#include <grub/misc.h>
+
+/* Set the video mode based on the preferred modes specified in MODE_LIST in
+   the form: <width>x<height>[x<depth>][;...]
+
+   For example:  640x480;800x600x8;400x300x32
+
+   If MODE_LIST is null, or no modes in it are usable, then DEFAULT_WIDTH and
+   DEFAULT_HEIGHT are used to set the mode.  The MODE_FLAGS argument determines
+   the video mode flags such as double buffering that are used.  */
+
+grub_err_t
+grub_video_setup_preferred_mode (const char *mode_list, int mode_flags,
+                                 int default_width, int default_height)
+{
+  int mode_found = 0;
+
+  if (mode_list != NULL)
+    {
+      /* Take copy of mode_list as we don't want tat.  */
+      char *const modes_copy = grub_strdup (mode_list);
+      if (modes_copy == NULL)
+        return grub_errno;
+
+      /* Initialize next mode.  */
+      char *next_mode = modes_copy;
+
+      /* Loop until all modes has been tested out.  */
+      while ((next_mode != NULL) && !mode_found)
+        {
+          /* Use last next_mode as current mode.  */
+          char *tmp = next_mode;
+
+          int width = -1;
+          int height = -1;
+          int depth = -1;
+
+          /* Save position of next mode and separate modes.  */
+          next_mode = grub_strchr(next_mode, ';');
+          if (next_mode)
+            {
+              *next_mode = 0;
+              next_mode++;
+            }
+
+          /* Skip whitespace.  */
+          while (grub_isspace (*tmp))
+            tmp++;
+
+          /* Initialize token holders.  */
+          char *current_mode = tmp;
+          char *param = tmp;
+          char *value = NULL;
+
+          /* Parse <width>x<height>[x<depth>]*/
+
+          /* Find width value.  */
+          value = param;
+          param = grub_strchr(param, 'x');
+          if (param == NULL)
+            {
+              grub_err_t rc;
+
+              /* First setup error message.  */
+              rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                               "Invalid mode: %s\n",
+                               current_mode);
+
+              /* Free memory before returning.  */
+              grub_free (modes_copy);
+
+              return rc;
+            }
+
+          *param = 0;
+          param++;
+
+          width = grub_strtoul (value, 0, 0);
+          if (grub_errno != GRUB_ERR_NONE)
+            {
+              grub_err_t rc;
+
+              /* First setup error message.  */
+              rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                               "Invalid mode: %s\n",
+                               current_mode);
+
+              /* Free memory before returning.  */
+              grub_free (modes_copy);
+
+              return rc;
+            }
+
+          /* Find height value.  */
+          value = param;
+          param = grub_strchr(param, 'x');
+          if (param == NULL)
+            {
+              height = grub_strtoul (value, 0, 0);
+              if (grub_errno != GRUB_ERR_NONE)
+                {
+                  grub_err_t rc;
+
+                  /* First setup error message.  */
+                  rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                                   "Invalid mode: %s\n",
+                                   current_mode);
+
+                  /* Free memory before returning.  */
+                  grub_free (modes_copy);
+
+                  return rc;
+                }
+            }
+          else
+            {
+              /* We have optional color depth value.  */
+              *param = 0;
+              param++;
+
+              height = grub_strtoul (value, 0, 0);
+              if (grub_errno != GRUB_ERR_NONE)
+                {
+                  grub_err_t rc;
+
+                  /* First setup error message.  */
+                  rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                                   "Invalid mode: %s\n",
+                                   current_mode);
+
+                  /* Free memory before returning.  */
+                  grub_free (modes_copy);
+
+                  return rc;
+                }
+
+              /* Convert color depth value.  */
+              value = param;
+              depth = grub_strtoul (value, 0, 0);
+              if (grub_errno != GRUB_ERR_NONE)
+                {
+                  grub_err_t rc;
+
+                  /* First setup error message.  */
+                  rc = grub_error (GRUB_ERR_BAD_ARGUMENT, 
+                                   "Invalid mode: %s\n",
+                                   current_mode);
+
+                  /* Free memory before returning.  */
+                  grub_free (modes_copy);
+
+                  return rc;
+                }
+            }
+
+          /* Try out video mode.  */
+
+          int flags = mode_flags;
+          /* If we have <= 8 bits, assume it is an indexed color mode.  */
+          if ((depth <= 8) && (depth != -1))
+            flags |= GRUB_VIDEO_MODE_TYPE_INDEX_COLOR;
+
+          /* We have > 8 bits; assume that it is RGB color mode.  */
+          if (depth > 8)
+            flags |= GRUB_VIDEO_MODE_TYPE_RGB;
+
+          /* If user requested specific depth, pass the request to driver.  */
+          if (depth != -1)
+            flags |= (depth << GRUB_VIDEO_MODE_TYPE_DEPTH_POS)
+              & GRUB_VIDEO_MODE_TYPE_DEPTH_MASK;
+
+          /* Try to initialize requested mode.  Ignore any errors.  */
+          grub_error_push ();
+          if (grub_video_setup (width, height, flags) != GRUB_ERR_NONE)
+            {
+              grub_error_pop ();
+              continue;
+            }
+
+          /* Figure out what mode we ended up.  */
+          struct grub_video_mode_info mode_info;
+          if (grub_video_get_info (&mode_info) != GRUB_ERR_NONE)
+            {
+              /* Couldn't get video mode info, restore old mode
+                 and continue to next one.  */
+              grub_error_pop ();
+
+              grub_video_restore ();
+              continue;
+            }
+
+          /* Restore state of error stack.  */
+          grub_error_pop ();
+
+          /* Mode found!  Exit loop.  */
+          mode_found = 1;
+        }
+
+      /* Free memory.  */
+      grub_free (modes_copy);
+    }
+
+  if (!mode_found)
+    {
+      /* No gfxmode variable set, or no listed mode was supported.
+         Use the caller-specified defaults.  */
+      int flags = mode_flags | GRUB_VIDEO_MODE_TYPE_RGB;
+
+      /* Initialize user requested mode.  */
+      if (grub_video_setup (default_width, default_height, flags) 
+          != GRUB_ERR_NONE)
+        return grub_errno;
+
+      /* Figure out what mode we ended up.  */
+      struct grub_video_mode_info mode_info;
+      if (grub_video_get_info (&mode_info) != GRUB_ERR_NONE)
+        grub_video_restore ();
+      else
+        mode_found = 1;
+    }
+
+  if (!mode_found)
+    return grub_error (GRUB_ERR_BAD_ARGUMENT,
+                       "No suitable mode found.");
+
+  return (grub_errno = GRUB_ERR_NONE);
+}

# Begin bundle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